OpenEL 3.0.0

Functions | Variables
openEL_0000000080000001.c File Reference

OpenEL Torque Sensor(0000000080000001) Source File 3.0.0. More...

`#include "openEL.h"`
`#include "openEL_0000000080000001.h"`
`#include <stdio.h>`
`#include <time.h>`

Go to the source code of this file.

## Functions
enum ReturnCode | Init_0000000080000001 ()
enum ReturnCode | ReInit_0000000080000001 ()
enum ReturnCode | Finalize_0000000080000001 ()
enum ReturnCode | AddObserver_0000000080000001 (HALOBSERVER_T halObserver)
enum ReturnCode | RemoveObserver_0000000080000001 (HALOBSERVER_T halObserver)
enum ReturnCode | GetProperty_0000000080000001 ()
enum ReturnCode | GetTime_0000000080000001 ()
enum ReturnCode | GetValue_0000000080000001 (HALCOMPONENT_T **halComponent, halfloat **list)
enum ReturnCode | GetTimedValue_0000000080000001 (HALCOMPONENT_T **halComponent, halfloat **list, int32_t **timer)
enum ReturnCode | SetUnit_0000000080000001 (char units)
enum ReturnCode | GetUnit_0000000080000001 (char *units)
enum ReturnCode | SetReset_0000000080000001 ()
enum ReturnCode | Start_0000000080000001 ()
enum ReturnCode | Stop_0000000080000001 ()

## Variables
halfloat | value =0
const EL_CMN_FNC_TBL_T | component_0000000080000001 = {(void *)(&sensorFncTbl_0000000080000001)}

## Detailed Description

OpenEL Torque Sensor(0000000080000001) Source File 3.0.0.

Definition in file openEL_0000000080000001.c.

## Function Documentation

## ◆ AddObserver_0000000080000001()

enum ReturnCode AddObserver_0000000080000001 | ( | HALOBSERVER_T | halObserver | ) |

Definition at line 52 of file openEL_0000000080000001.c.

## ◆ Finalize_0000000080000001()

enum ReturnCode Finalize_0000000080000001 | ( |  | ) |

Definition at line 47 of file openEL_0000000080000001.c.

## ◆ GetProperty_0000000080000001()

enum ReturnCode GetProperty_0000000080000001 | ( |  | ) |

Definition at line 62 of file openEL_0000000080000001.c.

## ◆ GetTime_0000000080000001()

enum ReturnCode GetTime_0000000080000001 | ( |  | ) |

Definition at line 67 of file openEL_0000000080000001.c.

## ◆ GetTimedValue_0000000080000001()

enum ReturnCode GetTimedValue_0000000080000001 | ( | HALCOMPONENT_T ** | halComponent,
|  | halfloat ** | list,
|  | int32_t ** | timer
| ) |  |

Definition at line 81 of file openEL_0000000080000001.c.

## ◆ GetUnit_0000000080000001()

enum ReturnCode GetUnit_0000000080000001 | ( | char * | units | ) |

Definition at line 98 of file openEL_0000000080000001.c.

## ◆ GetValue_0000000080000001()

enum ReturnCode GetValue_0000000080000001 | ( | HALCOMPONENT_T ** | halComponent,
|  | halfloat ** | list
| ) |  |

Definition at line 74 of file openEL_0000000080000001.c.

## ◆ Init_0000000080000001()

enum ReturnCode Init_0000000080000001 | ( |  | ) |

Definition at line 37 of file openEL_0000000080000001.c.

## ◆ ReInit_0000000080000001()

enum ReturnCode ReInit_0000000080000001 | ( |  | ) |

Definition at line 42 of file openEL_0000000080000001.c.

## ◆ RemoveObserver_0000000080000001()

enum ReturnCode RemoveObserver_0000000080000001 | ( | HALOBSERVER_T | halObserver | ) |

Definition at line 57 of file openEL_0000000080000001.c.

## ◆ SetReset_0000000080000001()

enum ReturnCode SetReset_0000000080000001 | ( |  | ) |

Definition at line 103 of file openEL_0000000080000001.c.

## ◆ SetUnit_0000000080000001()

enum ReturnCode SetUnit_0000000080000001 | ( | char | units | ) |

Definition at line 93 of file openEL_0000000080000001.c.

## ◆ Start_0000000080000001()

enum ReturnCode Start_0000000080000001 | ( |  | ) |

Definition at line 108 of file openEL_0000000080000001.c.

## ◆ Stop_0000000080000001()

enum ReturnCode Stop_0000000080000001 | ( |  | ) |

Definition at line 114 of file openEL_0000000080000001.c.

## Variable Documentation

## ◆ component_0000000080000001

const EL_CMN_FNC_TBL_T component_0000000080000001 = {(void *)(&sensorFncTbl_0000000080000001)}

Definition at line 160 of file openEL_0000000080000001.c.

## ◆ value

halfloat value =0

Definition at line 72 of file openEL_0000000080000001.c.